#updated 20221226
#oagGetSelectedGame.ps1

function Get-OneSelectedGame {
#updated 20221226

	# only allow one game
	if ($PlayniteApi.MainView.SelectedGames.count -ne 1) {
		[string]$sMsg = 'Select one (1) game to continue.'
		$null = $PlayniteApi.Dialogs.ShowMessage($sMsg, 'ERROR')
		exit
	} else {
		return $PlayniteApi.MainView.SelectedGames[0]
	}
}